<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>QR Code Generator</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: #f5f5f5;
            margin: 0;
            padding: 0 10px;
            box-sizing: border-box;
        }
        .app-container {
            max-width: 400px;
            width: 100%;
            background-color: white;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 4px 6px rgba(0,0,0,0.1);
            text-align: center;
        }
        #qrcode {
            margin: 20px 0;
        }
        input[type="text"] {
            width: 100%;
            padding: 10px;
            margin-bottom: 10px;
            border: 1px solid #ddd;
            border-radius: 5px;
            box-sizing: border-box;
        }
        button {
            width: 100%;
            padding: 10px;
            color: white;
            background-color: #007bff;
            border: none;
            border-radius: 5px;
            cursor: pointer;
            font-size: 16px;
        }
        button:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <div class="app-container">
        <h1>QR Code Display</h1>
        <div id="qrcode"></div>
        <input type="text" id="inputText" placeholder="Enter text for QR Code" />
        <button onclick="generateQRCode()">Generate QR Code</button>
    </div>
    <script src="./qrcode.js"></script>
    <script>
        function generateQRCode() {
            const inputText = document.getElementById('inputText').value;
            const qrCodeContainer = document.getElementById('qrcode');
            
            // Clear previous QR code
            qrCodeContainer.innerHTML = '';

            // Generate new QR code
            new QRCode(qrCodeContainer, {
                text: inputText || 'Default Text',
                width: 256,
                height: 256,
            });
        }
    </script>
</body>
</html>
